Module tdlight.api
Package it.tdlight.jni

# Class TdApi.Game

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Game

Enclosing class:
  TdApi

public static final class TdApi.Game extends TdApi.Object
Describes a game. Use getInternalLink with internalLinkTypeGame to share the game.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.Animation`
`animation`
Game animation; may be null.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`description`
Game description.
`long`
`id`
Unique game identifier.
`TdApi.Photo`
`photo`
Game photo.
`String`
`shortName`
Game short name.
`TdApi.FormattedText`
`text`
Game text, usually containing scoreboards for a game.
`String`
`title`
Game title.

## Constructor Summary

Constructors
Constructor
Description
`Game()`
Describes a game.
`Game(long id, String shortName, String title, TdApi.FormattedText text, String description, TdApi.Photo photo, TdApi.Animation animation)`
Describes a game.
`Game(DataInput input)`
Describes a game.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
Unique game identifier.

### shortName

public String shortName
Game short name.

### title

public String title
Game title.

### text

public TdApi.FormattedText text
Game text, usually containing scoreboards for a game.

### description

public String description
Game description.

### photo

public TdApi.Photo photo
Game photo.

### animation

public TdApi.Animation animation
Game animation; may be null.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### Game

public Game()
Describes a game. Use getInternalLink with internalLinkTypeGame to share the game.

### Game

public Game(long id, String shortName, String title, TdApi.FormattedText text, String description, TdApi.Photo photo, TdApi.Animation animation)
Describes a game. Use getInternalLink with internalLinkTypeGame to share the game.

Parameters:
  `id` - Unique game identifier.
  `shortName` - Game short name.
  `title` - Game title.
  `text` - Game text, usually containing scoreboards for a game.
  `description` - Game description.
  `photo` - Game photo.
  `animation` - Game animation; may be null.

### Game

public Game(DataInput input) throws IOException
Describes a game. Use getInternalLink with internalLinkTypeGame to share the game.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`